Bug 30436 - Convert article requests tabs to Bootstrap
Summary: Convert article requests tabs to Bootstrap
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 30466
Blocks: 29226
  Show dependency treegraph
 
Reported: 2022-04-01 15:24 UTC by Owen Leonard
Modified: 2022-05-13 16:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30436: Convert article requests tabs to Bootstrap (55.86 KB, patch)
2022-04-01 16:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30436: Convert article requests tabs to Bootstrap (55.85 KB, patch)
2022-04-04 10:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30436: Convert article requests tabs to Bootstrap (56.00 KB, patch)
2022-04-04 12:02 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30436: Convert article requests tabs to Bootstrap (56.05 KB, patch)
2022-04-20 14:44 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-04-01 15:24:40 UTC
Continuing the process of phasing out jQueryUI, this patch will replace jQueryUI tabs in the article requests template with Bootstrap.
Comment 1 Owen Leonard 2022-04-01 16:10:21 UTC
Created attachment 132870 [details] [review]
Bug 30436: Convert article requests tabs to Bootstrap

This patch converts the jQuery tabs on the article requests page to
Bootstrap.

To test you should have the "ArticleRequests" system preference
enabled. If necessary, create some article requests and mark some
"Pending," some "Processing," and leave some new.

- Apply the patch and go to Circulation -> Article requests.
- The page should show three tabs: New, Pending, and Processing.
- The tabs should look correct and work correctly.
- The DataTables under each tab should work correctly.
Comment 2 Séverine Queune 2022-04-04 10:32:26 UTC
Hi Owen !
After I applied the patch, the 'Select all' and 'Clear all' options don't work any more in the 'Pending' and 'Processing' tab.
Everything else is ok.
Comment 3 Owen Leonard 2022-04-04 10:47:49 UTC
Created attachment 132928 [details] [review]
Bug 30436: Convert article requests tabs to Bootstrap

This patch converts the jQuery tabs on the article requests page to
Bootstrap.

To test you should have the "ArticleRequests" system preference
enabled. If necessary, create some article requests and mark some
"Pending," some "Processing," and leave some new.

- Apply the patch and go to Circulation -> Article requests.
- The page should show three tabs: New, Pending, and Processing.
- The tabs should look correct and work correctly.
- The DataTables under each tab should work correctly.
Comment 4 Séverine Queune 2022-04-04 12:02:33 UTC
Created attachment 132933 [details] [review]
Bug 30436: Convert article requests tabs to Bootstrap

This patch converts the jQuery tabs on the article requests page to
Bootstrap.

To test you should have the "ArticleRequests" system preference
enabled. If necessary, create some article requests and mark some
"Pending," some "Processing," and leave some new.

- Apply the patch and go to Circulation -> Article requests.
- The page should show three tabs: New, Pending, and Processing.
- The tabs should look correct and work correctly.
- The DataTables under each tab should work correctly.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 Séverine Queune 2022-04-04 12:03:56 UTC
Thank you Owen for the quick rebase, everything works fine now !
Comment 6 Tomás Cohen Arazi 2022-04-20 13:37:46 UTC
Hi, with the patch there's a minor style issue, spacing between the library dropdown and the tabs is too little:

https://snipboard.io/8eNKCI.jpg
Comment 7 Owen Leonard 2022-04-20 14:09:33 UTC
(In reply to Tomás Cohen Arazi from comment #6)
> Hi, with the patch there's a minor style issue, spacing between the library
> dropdown and the tabs is too little:

Fixed in Bug 30466. I've added it as a dependency.
Comment 8 Tomás Cohen Arazi 2022-04-20 14:44:22 UTC
Created attachment 133479 [details] [review]
Bug 30436: Convert article requests tabs to Bootstrap

This patch converts the jQuery tabs on the article requests page to
Bootstrap.

To test you should have the "ArticleRequests" system preference
enabled. If necessary, create some article requests and mark some
"Pending," some "Processing," and leave some new.

- Apply the patch and go to Circulation -> Article requests.
- The page should show three tabs: New, Pending, and Processing.
- The tabs should look correct and work correctly.
- The DataTables under each tab should work correctly.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 9 Tomás Cohen Arazi 2022-04-20 14:45:11 UTC
All works correctly using the scss generated from bug 30466 solved the (minor) visual glitch.

Well done!
Comment 10 Fridolin Somers 2022-05-03 21:27:45 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄